server:
  port: 3303

#discovery server access
eureka:
  client:
    service-url:
      defaultZone: http://suitless.nl:8761/eureka

#Spring application name and registered routes
spring:
  application:
    name: api-gateway
  cloud:
    gateway:
      routes:
      #account microservice
      - id: accounts
        uri: lb://account-service
        predicates:
        - Path=/accounts/**
        filters:
        - StripPrefix=1

        #profile microservice
      - id: profiles
        uri: lb://profile-service
        predicates:
        - Path=/profiles/**
        filters:
        - StripPrefix=1

        #module microservice
      - id: modules
        uri: lb://module-service
        predicates:
          - Path=/modules/**
        filters:
          - StripPrefix=1

        #cdn microservice
      - id: cdn
        uri: lb://cdn-service
        predicates:
          - Path=/cdn/**
        filters:
          - StripPrefix=1
          
        #logging microservice
      - id: logging
        uri: lb://logging-service
        predicates:
          - Path=/log/**
        filters:
          - StripPrefix=1

        #email microservice
      - id: email
        uri: lb://email-service
        predicates:
          - Path=/email/**
        filters:
          - StripPrefix=1

        #questionnaire microservice
      - id: questionnaire
        uri: lb://questionnaire-service
        predicates:
          - Path=/questionnaire/**
        filters:
          - StripPrefix=1

        #login router to account service
      - id: login
        uri: lb://account-service/login
        predicates:
        - Path=/login
      discovery:
        locator:
          enabled: true
          lower-case-service-id: true
      x-forwarded:
        enabled: true
        proto-enabled: true
        host-enabled: true

#custom variables used in security
security.headerName: Authorization
security.preFix: Bearer
security.jwtKey: Rt1WpRegdoIZl324WW9kn2aBZIskef7Z

#logging format for the logging service
logging.pattern.console: "%clr(%d{yyyy-MM-dd HH:mm:ss}){faint} %clr(${LOG_LEVEL_PATTERN}) %clr([%1.50t]){faint} %clr(%-1.100logger{39}){cyan} : %m%n${LOG_EXCEPTION_CONVERSION_WORD:%wEx}"